Subject: bug#62237: 28.1 or higher: 24-bit true color breaks colours in Emacsen built without X under GNU Screen

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Mar 2023 14:17:03 +0200

> From: Sebastian Tennant <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 20 Mar 2023 08:57:45 +0000
> 
> > I have both a 'screen.xterm-256color' and a 'xterm-256color'
> > terminfo file. I donʼt think terminfo does any prefix stripping, as
> > thereʼs a whole bunch of screen.$TERM files, which would be
> > unnecessary if stripping were happening.
> 
> FWIW, I agree that stripping the 'screen.' prefix isn’t the correct
> thing to do.  (Let's not forget that the issue seems to have bitten
> only one person in well over a year).

Why did this bite you?  Don't you have those screen.FOO files?  If
not, why not?